package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Acr;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface AcrMapper {

    int insert(Acr record);

    int insertSelective(Acr record);

    int updateByPrimaryKeySelective(Acr record);

    int updateByPrimaryKey(Acr record);

    int deleteByPrimaryKey(Acr record);

    int deleteByIds(Collection<Object> collection);

    Acr selectByPrimaryKey(Acr record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Acr> dyncRead(Map<String,Object> dyncMap);

}